# bash programmable completion for various Common Lisp implementations by
# Nikodemus Siivola <nikodemus@random-state.net>

have lisp &&
_lisp()
{
    local cur

    COMPREPLY=()
    _get_comp_words_by_ref cur

    # completing an option (may or may not be separated by a space)
    if [[ "$cur" == -* ]]; then
    COMPREPLY=( $( compgen -W '-core -lib -batch -quit -edit -eval -init \
        -dynamic-space-size -hinit -noinit -nositeinit -load -slave ' \
        -- "$cur" ) )
    else
        _filedir
    fi

    return 0
} &&
complete -F _lisp -o default lisp

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
